package com.zksy.base.pressure.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.base.pressure.domain.FirefightingPressure;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

public interface FirefightingPressureService extends IService<FirefightingPressure> {

    Double getAveragePressure(String startTime, String endTime);

    List<Map<String, Object>> getDailyStats(String startTime, String endTime);

    Map<String, Long> getAlarmCounts(String startTime, String endTime);

    List<Map<String, Object>> getPressureDistribution(String startTime, String endTime);

    List<Map<String, Object>> getSignalVsPressure(String startTime, String endTime);
    List<String> getDeviceGroup();
}
